> For the complete documentation index, see [llms.txt](https://docs.dragondrop.cloud/product-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragondrop.cloud/product-docs/deploying-to-your-cloud/faqs.md).

# FAQs

### How long does it take to self host dragondrop?

With our provided [open-source Terraform modules](https://registry.terraform.io/namespaces/dragondrop-cloud), you can spin up the required infrastructure in minutes. Configuring the six needed environment variables via secrets in your cloud can take less than 15 minuts. We conservatively estimate that the first Job in an organization will take less than 30 minutes in total for a complete self-hosting.

### Does information on my cloud touch dragondrop servers?

Only highly anonymized data summarizing high-level values about your cloud are sent bak to the dragondrop API from managed cloud-concierge containers. These methods can all be seen in the cloud-concierge OSS source code [here](https://github.com/dragondrop-cloud/cloud-concierge/blob/dev/main/internal/implementations/dragon_drop/http_dragondrop_managed_execution.go) and [here](https://github.com/dragondrop-cloud/cloud-concierge/blob/dev/main/internal/implementations/dragon_drop/http_dragondrop_managed_visualization.go).

### Can dragondrop engineers access the managed containers once deployed in my cloud?

No. We have no access to the hosted container in your environment (this can be verified by viewing the configuration of the [Open Source Terraform Modules](https://registry.terraform.io/namespaces/dragondrop-cloud) used to host our container in your cloud).

### Can I validate environment variable formats outside of the executable container?

Yes. Our web application includes a client-side variable format validator to help you quickly ensure that your environment variables are appropriately formatted prior to kicking off a Job.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dragondrop.cloud/product-docs/deploying-to-your-cloud/faqs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
